org.red5.server.api.scope

## Interface IBroadcastScope

All Superinterfaces:
  IBasicScope, ICoreObject, IEventDispatcher, IEventHandler, IEventListener, IEventObservable, IMessageInput, IMessageOutput, IPipe

All Known Implementing Classes:
  BroadcastScope

    public interface IBroadcastScope
    extends IBasicScope, IPipe

Broadcast scope is marker interface that represents object that works as basic scope and has pipe connection event dispatching capabilities.

### Method Summary

Methods
`IClientBroadcastStream` `getClientBroadcastStream()`
`void` `setClientBroadcastStream(IClientBroadcastStream clientBroadcastStream)`

### Methods inherited from interface org.red5.server.api.scope.IBasicScope

`getDepth, getName, getParent, getPath, getStore, getType, hasParent, isValid, setKeepDelay`

### Methods inherited from interface org.red5.server.api.event.IEventDispatcher

`dispatchEvent`

### Methods inherited from interface org.red5.server.api.event.IEventHandler

`handleEvent`

### Methods inherited from interface org.red5.server.api.event.IEventListener

`notifyEvent`

### Methods inherited from interface org.red5.server.api.event.IEventObservable

`addEventListener, getEventListeners, removeEventListener`

### Methods inherited from interface org.red5.server.messaging.IPipe

`addPipeConnectionListener, removePipeConnectionListener`

### Methods inherited from interface org.red5.server.messaging.IMessageInput

`getConsumers, pullMessage, pullMessage, sendOOBControlMessage, subscribe, unsubscribe`

### Methods inherited from interface org.red5.server.messaging.IMessageOutput

`getProviders, pushMessage, sendOOBControlMessage, subscribe, unsubscribe`

### Method Detail

#### getClientBroadcastStream

    IClientBroadcastStream getClientBroadcastStream()

#### setClientBroadcastStream

    void setClientBroadcastStream(IClientBroadcastStream clientBroadcastStream)